
var progressVal = 0;


function drawImage(imageObj, canvasId) {
    "use strict";
    var imgCanvas = document.getElementById(canvasId),
        context, imageData, data,
        imageX = 0, imageY = 0,
        imageWidth = imageObj.width,
        imageHeight = imageObj.height;
    context = imgCanvas.getContext('2d');
    context.drawImage(imageObj, imageX, imageY, imageWidth, imageHeight);
    imageData = context.getImageData(imageX, imageY, imageWidth, imageHeight);
    //data = imageData.data;
    return imageData;
}


function displayFlags(img_list,$displayDiv,$progressArea,$progressBar)
{
    var i;
	
    var root_img_re = /^.*\/(.*?)\..*?$/;

    var img_list_len = img_list.length;
    var progress_step = 100.0 / img_list_len;
    
    var callback_count = 0;
    
    for (i=0; i<img_list.length; i++) {
	var img_url     = img_list[i];
	var img_matches = root_img_re.exec(img_url);
	var title       = img_matches[1];
	
	var imageObj = new Image();
	imageObj.onload = function () {
	    callback_count++;
	    progressVal += progress_step;	
	    $progressBar.progressbar('value',progressVal);
	    
	    //image1Data = drawImage(this, "canvas1");
	    
	    if (callback_count == img_list_len) {
		$progressArea.slideUp();
	    }
	};
	
	imageObj.src   = img_url;
	imageObj.title = title;
	
	$displayDiv.append(imageObj);
    }
}



